Console Output

Started by upstream project "gplibrary_PR_Models" build number 101
originally caused by:
 GitHub pull request #176 of commit 333803220bcb170d227c43a0705df9f61e3a4e3a, no merge conflicts.
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on macys_VM in workspace /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt
No credentials specified
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/gplibrary
 > git init /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gplibrary
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/convexengineering/gplibrary +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gplibrary # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gplibrary # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gplibrary
 > git fetch --tags --progress https://github.com/convexengineering/gplibrary +refs/pull/*:refs/remotes/origin/pr/* +refs/heads/master:refs/remotes/origin/master # timeout=10
Merging Revision ae5467efe73dfd63300666f23535fc77b6688568 (refs/remotes/origin/pr/176/merge) to origin/master, UserMergeOptions{mergeRemote='origin', mergeTarget='master', mergeStrategy='DEFAULT', fastForwardMode='FF'}
 > git rev-parse origin/master^{commit} # timeout=10
 > git config core.sparsecheckout # timeout=10
 > git checkout -f origin/master # timeout=3
 > git merge --ff ae5467efe73dfd63300666f23535fc77b6688568 # timeout=10
 > git rev-parse HEAD^{commit} # timeout=10
Seen branch in repository origin/1682literate
Seen branch in repository origin/1682master
Seen branch in repository origin/Breakdown
Seen branch in repository origin/aerosurf
Seen branch in repository origin/atmosphere
Seen branch in repository origin/bounds5
Seen branch in repository origin/boxspar
Seen branch in repository origin/breguet_range
Seen branch in repository origin/breguetsetup
Seen branch in repository origin/climb
Seen branch in repository origin/commercial_sizing
Seen branch in repository origin/compress-aero
Seen branch in repository origin/d8
Seen branch in repository origin/electric_motor
Seen branch in repository origin/firefly
Seen branch in repository origin/fits
Seen branch in repository origin/flightsegments
Seen branch in repository origin/interactive_simpleflight
Seen branch in repository origin/libRename
Seen branch in repository origin/master
Seen branch in repository origin/materials
Seen branch in repository origin/md_template
Seen branch in repository origin/motor
Seen branch in repository origin/ncrit
Seen branch in repository origin/performance
Seen branch in repository origin/pr/10/head
Seen branch in repository origin/pr/100/head
Seen branch in repository origin/pr/103/head
Seen branch in repository origin/pr/105/head
Seen branch in repository origin/pr/105/merge
Seen branch in repository origin/pr/107/head
Seen branch in repository origin/pr/109/head
Seen branch in repository origin/pr/11/head
Seen branch in repository origin/pr/11/merge
Seen branch in repository origin/pr/110/head
Seen branch in repository origin/pr/112/head
Seen branch in repository origin/pr/113/head
Seen branch in repository origin/pr/113/merge
Seen branch in repository origin/pr/114/head
Seen branch in repository origin/pr/115/head
Seen branch in repository origin/pr/115/merge
Seen branch in repository origin/pr/116/head
Seen branch in repository origin/pr/118/head
Seen branch in repository origin/pr/119/head
Seen branch in repository origin/pr/119/merge
Seen branch in repository origin/pr/12/head
Seen branch in repository origin/pr/120/head
Seen branch in repository origin/pr/121/head
Seen branch in repository origin/pr/121/merge
Seen branch in repository origin/pr/122/head
Seen branch in repository origin/pr/123/head
Seen branch in repository origin/pr/124/head
Seen branch in repository origin/pr/125/head
Seen branch in repository origin/pr/127/head
Seen branch in repository origin/pr/128/head
Seen branch in repository origin/pr/129/head
Seen branch in repository origin/pr/13/head
Seen branch in repository origin/pr/13/merge
Seen branch in repository origin/pr/131/head
Seen branch in repository origin/pr/132/head
Seen branch in repository origin/pr/133/head
Seen branch in repository origin/pr/134/head
Seen branch in repository origin/pr/135/head
Seen branch in repository origin/pr/136/head
Seen branch in repository origin/pr/137/head
Seen branch in repository origin/pr/138/head
Seen branch in repository origin/pr/139/head
Seen branch in repository origin/pr/14/head
Seen branch in repository origin/pr/14/merge
Seen branch in repository origin/pr/141/head
Seen branch in repository origin/pr/143/head
Seen branch in repository origin/pr/144/head
Seen branch in repository origin/pr/144/merge
Seen branch in repository origin/pr/145/head
Seen branch in repository origin/pr/145/merge
Seen branch in repository origin/pr/146/head
Seen branch in repository origin/pr/147/head
Seen branch in repository origin/pr/149/head
Seen branch in repository origin/pr/15/head
Seen branch in repository origin/pr/150/head
Seen branch in repository origin/pr/151/head
Seen branch in repository origin/pr/152/head
Seen branch in repository origin/pr/153/head
Seen branch in repository origin/pr/154/head
Seen branch in repository origin/pr/154/merge
Seen branch in repository origin/pr/155/head
Seen branch in repository origin/pr/156/head
Seen branch in repository origin/pr/157/head
Seen branch in repository origin/pr/158/head
Seen branch in repository origin/pr/159/head
Seen branch in repository origin/pr/16/head
Seen branch in repository origin/pr/160/head
Seen branch in repository origin/pr/160/merge
Seen branch in repository origin/pr/161/head
Seen branch in repository origin/pr/162/head
Seen branch in repository origin/pr/163/head
Seen branch in repository origin/pr/165/head
Seen branch in repository origin/pr/166/head
Seen branch in repository origin/pr/166/merge
Seen branch in repository origin/pr/167/head
Seen branch in repository origin/pr/168/head
Seen branch in repository origin/pr/169/head
Seen branch in repository origin/pr/17/head
Seen branch in repository origin/pr/17/merge
Seen branch in repository origin/pr/171/head
Seen branch in repository origin/pr/172/head
Seen branch in repository origin/pr/173/head
Seen branch in repository origin/pr/173/merge
Seen branch in repository origin/pr/174/head
Seen branch in repository origin/pr/174/merge
Seen branch in repository origin/pr/175/head
Seen branch in repository origin/pr/176/head
Seen branch in repository origin/pr/176/merge
Seen branch in repository origin/pr/19/head
Seen branch in repository origin/pr/19/merge
Seen branch in repository origin/pr/20/head
Seen branch in repository origin/pr/22/head
Seen branch in repository origin/pr/22/merge
Seen branch in repository origin/pr/23/head
Seen branch in repository origin/pr/23/merge
Seen branch in repository origin/pr/24/head
Seen branch in repository origin/pr/25/head
Seen branch in repository origin/pr/26/head
Seen branch in repository origin/pr/26/merge
Seen branch in repository origin/pr/27/head
Seen branch in repository origin/pr/29/head
Seen branch in repository origin/pr/30/head
Seen branch in repository origin/pr/31/head
Seen branch in repository origin/pr/33/head
Seen branch in repository origin/pr/34/head
Seen branch in repository origin/pr/35/head
Seen branch in repository origin/pr/36/head
Seen branch in repository origin/pr/37/head
Seen branch in repository origin/pr/38/head
Seen branch in repository origin/pr/39/head
Seen branch in repository origin/pr/40/head
Seen branch in repository origin/pr/40/merge
Seen branch in repository origin/pr/42/head
Seen branch in repository origin/pr/42/merge
Seen branch in repository origin/pr/43/head
Seen branch in repository origin/pr/44/head
Seen branch in repository origin/pr/44/merge
Seen branch in repository origin/pr/45/head
Seen branch in repository origin/pr/46/head
Seen branch in repository origin/pr/46/merge
Seen branch in repository origin/pr/47/head
Seen branch in repository origin/pr/47/merge
Seen branch in repository origin/pr/5/head
Seen branch in repository origin/pr/54/head
Seen branch in repository origin/pr/54/merge
Seen branch in repository origin/pr/55/head
Seen branch in repository origin/pr/57/head
Seen branch in repository origin/pr/58/head
Seen branch in repository origin/pr/60/head
Seen branch in repository origin/pr/61/head
Seen branch in repository origin/pr/62/head
Seen branch in repository origin/pr/63/head
Seen branch in repository origin/pr/63/merge
Seen branch in repository origin/pr/64/head
Seen branch in repository origin/pr/69/head
Seen branch in repository origin/pr/70/head
Seen branch in repository origin/pr/70/merge
Seen branch in repository origin/pr/71/head
Seen branch in repository origin/pr/72/head
Seen branch in repository origin/pr/72/merge
Seen branch in repository origin/pr/73/head
Seen branch in repository origin/pr/73/merge
Seen branch in repository origin/pr/75/head
Seen branch in repository origin/pr/75/merge
Seen branch in repository origin/pr/77/head
Seen branch in repository origin/pr/77/merge
Seen branch in repository origin/pr/78/head
Seen branch in repository origin/pr/78/merge
Seen branch in repository origin/pr/80/head
Seen branch in repository origin/pr/82/head
Seen branch in repository origin/pr/82/merge
Seen branch in repository origin/pr/83/head
Seen branch in repository origin/pr/83/merge
Seen branch in repository origin/pr/85/head
Seen branch in repository origin/pr/85/merge
Seen branch in repository origin/pr/86/head
Seen branch in repository origin/pr/88/head
Seen branch in repository origin/pr/88/merge
Seen branch in repository origin/pr/89/head
Seen branch in repository origin/pr/89/merge
Seen branch in repository origin/pr/9/head
Seen branch in repository origin/pr/90/head
Seen branch in repository origin/pr/90/merge
Seen branch in repository origin/pr/91/head
Seen branch in repository origin/pr/91/merge
Seen branch in repository origin/pr/92/head
Seen branch in repository origin/pr/92/merge
Seen branch in repository origin/pr/94/head
Seen branch in repository origin/pr/96/head
Seen branch in repository origin/pr/96/merge
Seen branch in repository origin/pr/97/head
Seen branch in repository origin/pr/97/merge
Seen branch in repository origin/pr/98/head
Seen branch in repository origin/pr/99/head
Seen branch in repository origin/prop_beta
Seen branch in repository origin/python3
Seen branch in repository origin/qstr
Seen branch in repository origin/quadrotor
Seen branch in repository origin/robustSPpaper
Seen branch in repository origin/robustSPpaper2
Seen branch in repository origin/rockets
Seen branch in repository origin/sigeq_paper
Seen branch in repository origin/simple_HT_sizing
Seen branch in repository origin/simple_flight_profile
Seen branch in repository origin/standard_atmosphere
Seen branch in repository origin/sutherland
Seen branch in repository origin/troposphere
Seen branch in repository origin/uncertain
Seen branch in repository origin/vectorizeplanform
Seen branch in repository origin/wide_body
Seen branch in repository origin/wvl
Seen 216 remote branches
 > git show-ref --tags -d # timeout=10
Checking out Revision ae5467efe73dfd63300666f23535fc77b6688568 (origin/pr/176/merge, origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f ae5467efe73dfd63300666f23535fc77b6688568 # timeout=3
Commit message: "Merge 333803220bcb170d227c43a0705df9f61e3a4e3a into f3027d71c558db6f128bf22f9e0490a2520aa3c0"
Using 'Changelog to branch' strategy.
Run condition [Execution node ] enabling prebuild for step [Execute shell]
Run condition [Execution node ] enabling prebuild for step [Execute Windows batch command]
[description-setter] Description set: <a title="python3 compatibility" href="https://github.com/convexengineering/gplibrary/pull/176">PR 176</a>: python3 compatibility
[Execution node] check if [macys_VM] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[cvxopt] $ /bin/bash -xe /var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/jenkins2248191508575166770.sh
+ [[ macys_VM == *macys* ]]
+ export PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+ PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+ virtualenv /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit
New python executable in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/python
Installing setuptools, pip, wheel...done.
+ . /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/activate
++ deactivate nondestructive
++ unset -f pydoc
++ '[' -z '' ']'
++ '[' -z '' ']'
++ '[' -n /bin/bash ']'
++ hash -r
++ '[' -z '' ']'
++ unset VIRTUAL_ENV
++ '[' '!' nondestructive = nondestructive ']'
++ VIRTUAL_ENV=/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit
++ export VIRTUAL_ENV
++ _OLD_VIRTUAL_PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++ PATH=/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++ export PATH
++ '[' -z '' ']'
++ '[' -z '' ']'
++ _OLD_VIRTUAL_PS1=
++ '[' x '!=' x ']'
+++ basename /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit
++ PS1='(venv2_gpkit) '
++ export PS1
++ alias pydoc
++ '[' -n /bin/bash ']'
++ hash -r
++ which pip
+ export PIP=/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip
+ PIP=/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip
+ pip_install pip
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade pip
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: pip in ./venv2_gpkit/lib/python2.7/site-packages (19.2.3)
+ [[ macys_VM == *reynolds* ]]
+ [[ macys_VM == *macys* ]]
+ [[ cvxopt == mosek ]]
+ [[ cvxopt == mosek ]]
+ [[ cvxopt == cvxopt ]]
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade cvxopt
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting cvxopt
  Using cached https://files.pythonhosted.org/packages/69/4f/167a7f5b11274eb8722e93b26c687c71499ae563083104c5b25dd2252990/cvxopt-1.2.3-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl
Installing collected packages: cvxopt
Successfully installed cvxopt-1.2.3
+ python -c 'import cvxopt'
+ export GPKITSOLVERS=cvxopt
+ GPKITSOLVERS=cvxopt
+ pip_install xmlrunner
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade xmlrunner
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting xmlrunner
Installing collected packages: xmlrunner
Successfully installed xmlrunner-1.7.7
+ pip_install pint
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade pint
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pint
  Using cached https://files.pythonhosted.org/packages/15/9d/bf177ebbc57d25e9e296addc14a1303d1e34d7964af5df428a8332349c42/Pint-0.9-py2.py3-none-any.whl
Collecting funcsigs; python_version == "2.7" (from pint)
  Using cached https://files.pythonhosted.org/packages/69/cb/f5be453359271714c01b9bd06126eaf2e368f1fddfff30818754b5ac2328/funcsigs-1.0.2-py2.py3-none-any.whl
Installing collected packages: funcsigs, pint
Successfully installed funcsigs-1.0.2 pint-0.9
+ pip_install numpy
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade numpy
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting numpy
  Using cached https://files.pythonhosted.org/packages/51/67/8907005262f493e356195bcbd61b41988eecf63cb1d97ea2f6e55fe24205/numpy-1.16.5-cp27-cp27m-macosx_10_9_x86_64.whl
Installing collected packages: numpy
Successfully installed numpy-1.16.5
+ pip_install scipy
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade scipy
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting scipy
  Using cached https://files.pythonhosted.org/packages/a3/cf/36b77de4ccb1b841acd4c3c03abe38843c63c3a657cedee9e8fb19a02dc8/scipy-1.2.2-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl
Requirement already satisfied, skipping upgrade: numpy>=1.8.2 in ./venv2_gpkit/lib/python2.7/site-packages (from scipy) (1.16.5)
Installing collected packages: scipy
Successfully installed scipy-1.2.2
+ pip_install ad
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade ad
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting ad
Installing collected packages: ad
Successfully installed ad-1.3.2
+ pip_install ctypesgen
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade ctypesgen
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting ctypesgen
  Using cached https://files.pythonhosted.org/packages/77/e8/73c5636dd329bcb781e3fc8762342ce4c543c279ceab9eeb06f3f2a4b241/ctypesgen-1.0.0.post4-py2.py3-none-any.whl
Installing collected packages: ctypesgen
Successfully installed ctypesgen-1.0.0.post4
+ pip_install pandas
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade pandas
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pandas
  Using cached https://files.pythonhosted.org/packages/52/ff/912fe03a623a70bcf297d466013a0b4f4c68c3b60f86bf226682d061fc09/pandas-0.24.2-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl
Collecting pytz>=2011k (from pandas)
  Using cached https://files.pythonhosted.org/packages/87/76/46d697698a143e05f77bec5a526bf4e56a0be61d63425b68f4ba553b51f2/pytz-2019.2-py2.py3-none-any.whl
Requirement already satisfied, skipping upgrade: numpy>=1.12.0 in ./venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.5)
Collecting python-dateutil>=2.5.0 (from pandas)
  Using cached https://files.pythonhosted.org/packages/41/17/c62faccbfbd163c7f57f3844689e3a78bae1f403648a6afb1d0866d87fbb/python_dateutil-2.8.0-py2.py3-none-any.whl
Collecting six>=1.5 (from python-dateutil>=2.5.0->pandas)
  Using cached https://files.pythonhosted.org/packages/73/fb/00a976f728d0d1fecfe898238ce23f502a721c0ac0ecfedb80e0d88c64e9/six-1.12.0-py2.py3-none-any.whl
Installing collected packages: pytz, six, python-dateutil, pandas
Successfully installed pandas-0.24.2 python-dateutil-2.8.0 pytz-2019.2 six-1.12.0
+ pip_install matplotlib
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --upgrade matplotlib
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting matplotlib
  Using cached https://files.pythonhosted.org/packages/3e/d6/4c949597c4186599cc8be08cd11b1e83fe7966676aeee3868bf3e581d852/matplotlib-2.2.4-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl
Collecting backports.functools-lru-cache (from matplotlib)
  Using cached https://files.pythonhosted.org/packages/03/8e/2424c0e65c4a066e28f539364deee49b6451f8fcd4f718fefa50cc3dcf48/backports.functools_lru_cache-1.5-py2.py3-none-any.whl
Requirement already satisfied, skipping upgrade: six>=1.10 in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (1.12.0)
Requirement already satisfied, skipping upgrade: pytz in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (2019.2)
Collecting subprocess32 (from matplotlib)
  Using cached https://files.pythonhosted.org/packages/35/f3/7cdeeef9cb05c42fadcc8aa040dd3b80d94e0f6a8dedc4bacebf796c2385/subprocess32-3.5.4-cp27-cp27m-macosx_10_6_intel.whl
Collecting cycler>=0.10 (from matplotlib)
  Using cached https://files.pythonhosted.org/packages/f7/d2/e07d3ebb2bd7af696440ce7e754c59dd546ffe1bbe732c8ab68b9c834e61/cycler-0.10.0-py2.py3-none-any.whl
Collecting kiwisolver>=1.0.1 (from matplotlib)
  Using cached https://files.pythonhosted.org/packages/0d/15/ec5f70ac79f378ed0ef5ed8b71e8a04e382115426b2cda9a3ab5ffcf467f/kiwisolver-1.1.0-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl
Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (2.8.0)
Collecting pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 (from matplotlib)
  Using cached https://files.pythonhosted.org/packages/11/fa/0160cd525c62d7abd076a070ff02b2b94de589f1a9789774f17d7c54058e/pyparsing-2.4.2-py2.py3-none-any.whl
Requirement already satisfied, skipping upgrade: numpy>=1.7.1 in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (1.16.5)
Requirement already satisfied, skipping upgrade: setuptools in ./venv2_gpkit/lib/python2.7/site-packages (from kiwisolver>=1.0.1->matplotlib) (41.2.0)
Installing collected packages: backports.functools-lru-cache, subprocess32, cycler, kiwisolver, pyparsing, matplotlib
Successfully installed backports.functools-lru-cache-1.5 cycler-0.10.0 kiwisolver-1.1.0 matplotlib-2.2.4 pyparsing-2.4.2 subprocess32-3.5.4
+ export GPKITBUILD=/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/build_gpkit
+ GPKITBUILD=/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/build_gpkit
+ python -c 'import scipy; print scipy.__version__'
1.2.2
+ python -c 'import numpy; print numpy.__version__'
1.16.5
+ python -c 'import pint; print pint.__version__'
0.9
+ git clone --depth 1 https://github.com/convexengineering/gpkit.git
Cloning into 'gpkit'...
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --no-cache-dir -e /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Obtaining file:///Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit
Requirement already satisfied: numpy>=1.13.3 in ./venv2_gpkit/lib/python2.7/site-packages (from gpkit==0.9.1.0) (1.16.5)
Requirement already satisfied: pint>=0.8.1 in ./venv2_gpkit/lib/python2.7/site-packages (from gpkit==0.9.1.0) (0.9)
Requirement already satisfied: scipy in ./venv2_gpkit/lib/python2.7/site-packages (from gpkit==0.9.1.0) (1.2.2)
Requirement already satisfied: ad in ./venv2_gpkit/lib/python2.7/site-packages (from gpkit==0.9.1.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in ./venv2_gpkit/lib/python2.7/site-packages (from gpkit==0.9.1.0) (1.2.3)
Requirement already satisfied: six in ./venv2_gpkit/lib/python2.7/site-packages (from gpkit==0.9.1.0) (1.12.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in ./venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit==0.9.1.0) (1.0.2)
Installing collected packages: gpkit
  Running setup.py develop for gpkit
Successfully installed gpkit
+ python /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip install --no-cache-dir -e /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Obtaining file:///Users/jenkins/workspace/gplibrary_PR_Models/cvxopt
Requirement already satisfied: numpy>=1.12 in ./venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (1.16.5)
Requirement already satisfied: scipy in ./venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (1.2.2)
Requirement already satisfied: pint in ./venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (0.9)
Collecting future (from gpkitmodels==0.0.0.0)
  Downloading https://files.pythonhosted.org/packages/90/52/e20466b85000a181e1e144fd8305caf2cf475e2f9674e797b222f8105f5f/future-0.17.1.tar.gz (829kB)
Requirement already satisfied: funcsigs; python_version == "2.7" in ./venv2_gpkit/lib/python2.7/site-packages (from pint->gpkitmodels==0.0.0.0) (1.0.2)
Building wheels for collected packages: future
  Building wheel for future (setup.py): started
  Building wheel for future (setup.py): finished with status 'done'
  Created wheel for future: filename=future-0.17.1-cp27-none-any.whl size=500237 sha256=f32ba562634d566efe819f02df4e6e3464f28f4e859dcb6567f4e5187f2159bd
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-y42gXU/wheels/0c/61/d2/d6b7317325828fbb39ee6ad559dbe4664d0896da4721bf379e
Successfully built future
Installing collected packages: future, gpkitmodels
  Running setup.py develop for gpkitmodels
Successfully installed future-0.17.1 gpkitmodels
+ export MSK_IPAR_NUM_THREADS=2
+ MSK_IPAR_NUM_THREADS=2
+ export MKL_NUM_THREADS=2
+ MKL_NUM_THREADS=2
+ export NUMEXPR_NUM_THREADS=2
+ NUMEXPR_NUM_THREADS=2
+ export OPENBLAS_NUM_THREADS=2
+ OPENBLAS_NUM_THREADS=2
+ export OMP_NUM_THREADS=2
+ OMP_NUM_THREADS=2
+ python -c 'from gpkit.tests.test_repo import test_repos; test_repos(xmloutput=True, ingpkitmodels=True)'
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
..........................................................................................................................................................................................
----------------------------------------------------------------------
Ran 186 tests in 4.986s

OK
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Obtaining file:///Users/jenkins/workspace/gplibrary_PR_Models/cvxopt
Installing collected packages: gpkitmodels
  Found existing installation: gpkitmodels 0.0.0.0
    Uninstalling gpkitmodels-0.0.0.0:
      Successfully uninstalled gpkitmodels-0.0.0.0
  Running setup.py develop for gpkitmodels
Successfully installed gpkitmodels
Cloning into 'robust'...
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/robust
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from robust==0.0.0) (0.9.1.0)
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from robust==0.0.0) (1.16.5)
Requirement already satisfied: matplotlib in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from robust==0.0.0) (2.2.4)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from robust==0.0.0) (1.2.2)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->robust==0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->robust==0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->robust==0.0.0) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->robust==0.0.0) (1.12.0)
Requirement already satisfied: backports.functools-lru-cache in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (1.5)
Requirement already satisfied: pytz in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (2019.2)
Requirement already satisfied: subprocess32 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (3.5.4)
Requirement already satisfied: cycler>=0.10 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (0.10.0)
Requirement already satisfied: kiwisolver>=1.0.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (1.1.0)
Requirement already satisfied: python-dateutil>=2.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (2.8.0)
Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from matplotlib->robust==0.0.0) (2.4.2)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->robust==0.0.0) (1.0.2)
Requirement already satisfied: setuptools in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from kiwisolver>=1.0.1->matplotlib->robust==0.0.0) (41.2.0)
Building wheels for collected packages: robust
  Building wheel for robust (setup.py): started
  Building wheel for robust (setup.py): finished with status 'done'
  Created wheel for robust: filename=robust-0.0.0-cp27-none-any.whl size=219042 sha256=80e047c35634987afadd106fe3102f899fc6e4ad7092b5733c695d4af9086b2f
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-xAxMiX/wheels/3a/06/1b/fc1f3553d43d314467516cbdd0e19a9ce0cdf703b9323f30a6
Successfully built robust
Installing collected packages: robust
Successfully installed robust-0.0.0

Running tests...
----------------------------------------------------------------------
.................
----------------------------------------------------------------------
Ran 17 tests in 15.204s

OK
.
----------------------------------------------------------------------
Ran 1 test in 15.933s

OK

Generating XML reports...
adding test for 'run_tests.py'
Cloning into 'shopping'...

Running tests...
----------------------------------------------------------------------
..
----------------------------------------------------------------------
Ran 2 tests in 0.188s

OK

Generating XML reports...
adding test for 'test.py'
Using solver 'cvxopt'
Solving for 25 variables.
Solving took 0.0407 seconds.
Using solver 'cvxopt'
Solving for 25 variables.
Solving took 0.046 seconds.
Cloning into 'gassolar'...
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.2)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.5)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.0)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.12.0)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-nvlHgb
  Running command git clone -q https://github.com/hoburg/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-nvlHgb
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.12.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-cp27-none-any.whl size=25151 sha256=6046d7686fbb055a381171a83d6a36e3b3dfecad022d027e6566f1db39b00efb
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-WrDQrd/wheels/4d/4b/2e/9480645acbe8d32004b09b3732f616bbb2a9ee75e4526f058f
Successfully built gpfit
Installing collected packages: gpfit
Successfully installed gpfit-0.1
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gassolar
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from gassolar==0.0.0.0) (0.9.1.0)
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.24.2)
Requirement already satisfied: gpfit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.1)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.12.0)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2019.2)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2.8.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gassolar==0.0.0.0) (1.0.2)
Building wheels for collected packages: gassolar
  Building wheel for gassolar (setup.py): started
  Building wheel for gassolar (setup.py): finished with status 'done'
  Created wheel for gassolar: filename=gassolar-0.0.0.0-cp27-none-any.whl size=4876517 sha256=a5ff43191bda828b8018dabb3b8f3ea9a1941199ba161e2ab03a0ca510ad2eaa
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-6Aiarz/wheels/71/6f/0f/f2faa7cf414bedc0f4faab55b188ed4cd088cdd1c84d3f4c21
Successfully built gassolar
Installing collected packages: gassolar
Successfully installed gassolar-0.0.0.0

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.000s

OK

Generating XML reports...
adding test for 'gassolar/gas/gas.py'
adding test for 'gassolar/solar/solar.py'
Cloning into 'jho'...
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.2)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.5)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.0)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.12.0)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-aVyb4Q
  Running command git clone -q https://github.com/hoburg/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-aVyb4Q
Requirement already satisfied (use --upgrade to upgrade): gpfit==0.1 from git+https://github.com/hoburg/gpfit.git in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.12.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-cp27-none-any.whl size=25151 sha256=00e09c35e6c21d9bf1f7e79377053ce5e6ce7ae942bdfd0fbcf40a993a32a950
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-eXPLiJ/wheels/4d/4b/2e/9480645acbe8d32004b09b3732f616bbb2a9ee75e4526f058f
Successfully built gpfit

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.000s

OK

Generating XML reports...
adding test for 'model/jho.py'
adding test for 'model/print_perf.py'
Cloning into 'turbofan'...
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/turbofan
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (1.2.2)
Requirement already satisfied: pint in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (0.9)
Requirement already satisfied: future in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (0.17.1)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint->turbofan==0.0.0.0) (1.0.2)
Building wheels for collected packages: turbofan
  Building wheel for turbofan (setup.py): started
  Building wheel for turbofan (setup.py): finished with status 'done'
  Created wheel for turbofan: filename=turbofan-0.0.0.0-cp27-none-any.whl size=43867 sha256=bb9ad673c920db896f211621abd1f504af0b6705455f770b588a8a4ecab82587
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-1BK3Zg/wheels/a4/0a/e5/cb477c91de3321fd2882c46699d36045009cff55b54464dd25
Successfully built turbofan
Installing collected packages: turbofan
Successfully installed turbofan-0.0.0.0

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.000s

OK

Generating XML reports...
adding test for 'turbofan/engine_test.py'
Cloning into 'solar'...
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.2)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.5)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.0)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.12.0)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/convexengineering/gpfit.git
  Cloning https://github.com/convexengineering/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-dXpvqN
  Running command git clone -q https://github.com/convexengineering/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-dXpvqN
Requirement already satisfied (use --upgrade to upgrade): gpfit==0.1 from git+https://github.com/convexengineering/gpfit.git in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.12.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-cp27-none-any.whl size=25151 sha256=f44fe6f05b8a6fec13844e1ab8114867e579879ebaeb5823bfac44698195dec6
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-9BXL5T/wheels/d5/94/ac/b1f68b07599181f26f4b9149a1a6d49dfc5cdbc65de1a14d12
Successfully built gpfit
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/convexengineering/gassolar.git
  Cloning https://github.com/convexengineering/gassolar.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-IJsNRc
  Running command git clone -q https://github.com/convexengineering/gassolar.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-IJsNRc
Requirement already satisfied (use --upgrade to upgrade): gassolar==0.0.0.0 from git+https://github.com/convexengineering/gassolar.git in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from gassolar==0.0.0.0) (0.9.1.0)
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.24.2)
Requirement already satisfied: gpfit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.1)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.12.0)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2019.2)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2.8.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gassolar==0.0.0.0) (1.0.2)
Building wheels for collected packages: gassolar
  Building wheel for gassolar (setup.py): started
  Building wheel for gassolar (setup.py): finished with status 'done'
  Created wheel for gassolar: filename=gassolar-0.0.0.0-cp27-none-any.whl size=4876517 sha256=c955ce4afc648a1550fa5cdc9c8844daf980b04f278d000596e5712c94946d6c
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-Yvoyg6/wheels/fe/11/0a/2dde16df75c51194d20248ec9e30e88fc7200e9fc4664b032e
Successfully built gassolar
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/solar
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from solar==0.0.0.0) (0.9.1.0)
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (0.24.2)
Requirement already satisfied: gpfit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (0.1)
Requirement already satisfied: gpkitmodels in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt (from solar==0.0.0.0) (0.0.0.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (1.12.0)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas->solar==0.0.0.0) (2019.2)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas->solar==0.0.0.0) (2.8.0)
Requirement already satisfied: future in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels->solar==0.0.0.0) (0.17.1)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->solar==0.0.0.0) (1.0.2)
Building wheels for collected packages: solar
  Building wheel for solar (setup.py): started
  Building wheel for solar (setup.py): finished with status 'done'
  Created wheel for solar: filename=solar-0.0.0.0-cp27-none-any.whl size=14811 sha256=dcc109501ae077b61f0a807ed7cd483cf953974b0fc29fb75d7559ff70b50cc7
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-MZeNb6/wheels/91/78/1b/d13aed86d5878cdc448116552c0f865c53f251136b6e542301
Successfully built solar
Installing collected packages: solar
Successfully installed solar-0.0.0.0

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.003s

OK

Generating XML reports...
adding test for 'solar/sens_chart.py'
adding test for 'solar/season.py'
adding test for 'solar/npod_trade.py'
Cloning into 'gplibrary'...
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.2)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.5)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.0)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.12.0)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-rSL1_t
  Running command git clone -q https://github.com/hoburg/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-rSL1_t
Requirement already satisfied (use --upgrade to upgrade): gpfit==0.1 from git+https://github.com/hoburg/gpfit.git in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.2)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.3)
Requirement already satisfied: six in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.12.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-cp27-none-any.whl size=25151 sha256=cd1f62c6dfed6e3137ad88465e9973423557cdd1346264d7c64062e5d7ecdab5
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-TLFmmN/wheels/4d/4b/2e/9480645acbe8d32004b09b3732f616bbb2a9ee75e4526f058f
Successfully built gpfit
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/gplibrary
Requirement already satisfied: numpy>=1.12 in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (1.16.5)
Requirement already satisfied: scipy in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (1.2.2)
Requirement already satisfied: pint in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (0.9)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages (from pint->gpkitmodels==0.0.0.0) (1.0.2)
Building wheels for collected packages: gpkitmodels
  Building wheel for gpkitmodels (setup.py): started
  Building wheel for gpkitmodels (setup.py): finished with status 'done'
  Created wheel for gpkitmodels: filename=gpkitmodels-0.0.0.0-cp27-none-any.whl size=65697 sha256=82e4aa629aae4482be1f4b70536355a2b221648c2c5d5fa5fb4b648e94547c85
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-gmm9Ww/wheels/79/e9/84/a53b0f84c9ad3526ee3df08363c4f68452bd39cc43d4a5cfd6
Successfully built gpkitmodels
Installing collected packages: gpkitmodels
  Found existing installation: gpkitmodels 0.0.0.0
    Uninstalling gpkitmodels-0.0.0.0:
      Successfully uninstalled gpkitmodels-0.0.0.0
Successfully installed gpkitmodels-0.0.0.0

Running tests...
----------------------------------------------------------------------
./Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/lib/python2.7/site-packages/pint/quantity.py:1377: UnitStrippedWarning: The unit of the quantity is stripped.
  warnings.warn("The unit of the quantity is stripped.", UnitStrippedWarning)
.......
----------------------------------------------------------------------
Ran 8 tests in 31.418s

OK

Generating XML reports...
adding test for 'gpkitmodels/GP/aircraft/wing/wing_test.py'
adding test for 'gpkitmodels/GP/aircraft/tail/tail_tests.py'
adding test for 'gpkitmodels/GP/aircraft/fuselage/test_fuselage.py'
adding test for 'gpkitmodels/GP/aircraft/prop/prop_test.py'
adding test for 'gpkitmodels/GP/aircraft/motor/motor_test.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC_mission.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC_multimission.py'
Using solver 'cvxopt'
Solving for 11 variables.
Solving took 0.0102 seconds.
Using solver 'cvxopt'
Solving for 9 variables.
Solving took 0.0169 seconds.
Using solver 'cvxopt'
Solving for 25 variables.
Solving took 0.038 seconds.
Using solver 'cvxopt'
Solving for 25 variables.
Solving took 0.0411 seconds.
Beginning signomial solve.
Solving took 16 GP solves and 16 seconds.
Using solver 'cvxopt'
Solving for 13 variables.
Solving took 0.0187 seconds.
Beginning signomial solve.
Solving took 11 GP solves and 10.1 seconds.
Warning: Variable BladeElementProp.BladeElementPerf.cl[:] could cause inaccurate result because it is below lower bound. Solution is 0.6000 but bound is 0.4742
Warning: Variable BladeElementProp.BladeElementPerf.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1619892.1260 but bound is 700000.0000
Warning: Variable TailAero.Re could cause inaccurate result because it is above upper bound. Solution is 2220952.3405 but bound is 1000000.0000
Warning: Variable TailAero1.Re could cause inaccurate result because it is above upper bound. Solution is 2499787.5667 but bound is 1000000.0000
Warning: Variable TailAero2.Re could cause inaccurate result because it is above upper bound. Solution is 2223840.1738 but bound is 1000000.0000
Warning: Variable TailAero3.Re could cause inaccurate result because it is above upper bound. Solution is 2223840.1106 but bound is 1000000.0000
Warning: Variable TailAero4.Re could cause inaccurate result because it is above upper bound. Solution is 1849726.5700 but bound is 1000000.0000
Warning: Variable TailAero5.Re could cause inaccurate result because it is above upper bound. Solution is 1849726.5566 but bound is 1000000.0000
Warning: Variable WingAero.Re could cause inaccurate result because it is above upper bound. Solution is 2197590.3832 but bound is 700000.0000
Warning: Variable WingAero1.Re could cause inaccurate result because it is above upper bound. Solution is 1928321.4746 but bound is 700000.0000
Beginning signomial solve.
Using solver 'cvxopt'
Solving for 20 variables.
Solving took 0.014 seconds.
Using solver 'cvxopt'
Solving for 20 variables.
Solving took 0.0105 seconds.
Using solver 'cvxopt'
Solving for 20 variables.
Solving took 0.0136 seconds.
Using solver 'cvxopt'
Solving for 20 variables.
Solving took 0.0156 seconds.
Solving took 4 GP solves and 0.0599 seconds.
Cloning into 'eVTOL'...

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 25.982s

OK

Generating XML reports...
adding test for 'models/model_tests.py'
Found no installed solvers, beginning a build.
# Moving to the directory from which GPkit was imported.
Started building gpkit...

Attempting to find and build solvers:

# Looking for mosek
#     Found /Users/jenkins/mosek/7/tools/platform/osx64x86/h/mosek.h
#     Found /Users/jenkins/mosek/7/tools/platform/osx64x86/bin/libmosek64.7.1.dylib
#     Found /Users/jenkins/mosek/7/tools/examples/c/scopt-ext.c
#     Found /Users/jenkins/mosek/7/tools/examples/c/expopt.c
#     Found /Users/jenkins/mosek/7/tools/examples/c/dgopt.c
#     Found /Users/jenkins/mosek/7/tools/examples/c/scopt-ext.h
#     Found /Users/jenkins/mosek/7/tools/examples/c/expopt.h
#     Found /Users/jenkins/mosek/7/tools/examples/c/dgopt.h
#     Found /Users/jenkins/mosek/7/tools/platform/osx64x86/h/mosek.h
# Found mosek version 7, installed to /Users/jenkins/mosek
#
# Building mosek...
#     Replacing directory _mosek/build
#     Replacing directory /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/build_gpkit
#
#   Copying expopt library files to _mosek/build
#     Copying /Users/jenkins/mosek/7/tools/examples/c/scopt-ext.c
#     Copying /Users/jenkins/mosek/7/tools/examples/c/expopt.c
#     Copying /Users/jenkins/mosek/7/tools/examples/c/dgopt.c
#     Copying /Users/jenkins/mosek/7/tools/examples/c/scopt-ext.h
#     Copying /Users/jenkins/mosek/7/tools/examples/c/expopt.h
#     Copying /Users/jenkins/mosek/7/tools/examples/c/dgopt.h
#     Copying /Users/jenkins/mosek/7/tools/platform/osx64x86/h/mosek.h
#
#   Applying expopt patches...
#
#     Change in _mosek/build/dgopt.con line 683
#     --           printf("Number of Hessian non-zeros: %d\n",nlh[0]->numhesnz)
#     ++ MSK_echotask(task,MSK_STREAM_MSG,"Number of Hessian non-zeros: %d\n",n
#
#     Change in _mosek/build/expopt.con line 569
#     --       printf("Warning: The variable with index '%d' has only positive 
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "Warning: The variable with in
#
#     Change in _mosek/build/expopt.con line 582
#     --       printf("Warning: The variable with index '%d' has only negative 
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "Warning: The variable with in
#
#     Change in _mosek/build/expopt.con line 1115
#     --     printf ("solsta = %d, prosta = %d\n", (int)*solsta,(int)*prosta);
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "solsta = %d, prosta = %d\n", 
#
#   Building expopt library...
#     Calling 'gcc -fpic -shared -Wl,-rpath "/Users/jenkins/mosek/7/tools/platform/osx64x86/bin"    _mosek/build/scopt-ext.c _mosek/build/expopt.c _mosek/build/dgopt.c   "/Users/jenkins/mosek/7/tools/platform/osx64x86/bin/libmosek64.7.1.dylib" -o /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/build_gpkit/expopt.so'
##
### CALL BEGINS
### CALL ENDS
##
#     Calling 'install_name_tool -change @loader_path/libmosek64.7.1.dylib /Users/jenkins/mosek/7/tools/platform/osx64x86/bin/libmosek64.7.1.dylib /Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/build_gpkit/expopt.so'
##
### CALL BEGINS
### CALL ENDS
##
# Done building mosek
# Looking for mosek_cli
#   Trying to run mskexpopt...
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Found mosek_cli in system path
# Looking for cvxopt
#   Trying to import cvxopt...
# Found cvxopt in Python path
...finished building gpkit.
Replaced found solvers ([u'mosek', u'mosek_cli', u'cvxopt']) with environment var GPKITSOLVERS (cvxopt)

Found the following solvers: cvxopt
#     Replacing directory env
x[:] <= w

GPkit is now installed with solver(s) [u'cvxopt']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

USING LOCAL DIRECTORY AS GPKITMODELS DIRECTORY
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', '--no-cache-dir', '--no-deps', '-e', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/robust.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {})

calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/shopping.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {})

calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gassolar.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/jho.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/turbofan.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt, mosek_cli', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/solar.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'pandas, git+https://github.com/convexengineering/gpfit.git, git+https://github.com/convexengineering/gassolar.git', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/convexengineering/gpfit.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/convexengineering/gassolar.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gplibrary.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git'})

calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/eVTOL.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {})

[Execution node] check if [macys_VM] is in [[windows10x64, windows7x64]]
Run condition [Execution node ] preventing perform for step [Execute Windows batch command]
INFO: Starting to record.
INFO: Processing JUnit
INFO: [JUnit] - 8 test report file(s) were found with the pattern '**/test_reports/*.xml, **/test_reports_nounits/*.xml' relative to '/Users/jenkins/workspace/gplibrary_PR_Models/cvxopt' for the testing framework 'JUnit'.
INFO: Check 'Failed Tests' threshold.
INFO: Check 'Skipped Tests' threshold.
INFO: Setting the build status to SUCCESS
INFO: Stopping recording.
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: SUCCESS